%global         upstream_tag 1.0.0rc

Name:           nginx-mod-brotli
Version:        1.0.0~rc
Release:        %autorelease
Summary:        NGINX module for Brotli compression 

License:        BSD-2-Clause
URL:            https://github.com/google/ngx_brotli
Source:         https://github.com/google/ngx_brotli/archive/refs/tags/v%{upstream_tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel
BuildRequires:  libbrotli


%description
%{summary}.

%prep
%autosetup -n ngx_brotli-%{upstream_tag}


%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_filter_module.so %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_brotli_static_module.so %{buildroot}%{nginx_moddir}
install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_brotli_filter_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-brotli.conf
echo 'load_module "%{nginx_moddir}/ngx_http_brotli_filter_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-brotli-static.conf
popd


%files
%license LICENSE
%doc README.md
%{nginx_moddir}/ngx_http_brotli_filter_module.so
%{nginx_moddir}/ngx_http_brotli_static_module.so
%{nginx_modconfdir}/mod-brotli.conf
%{nginx_modconfdir}/mod-brotli-static.conf


%changelog
%autochangelog
